Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.util
Class Axis2WSDLLocator

    java.lang.Object
      org.apache.ode.axis2.util.Axis2WSDLLocator

All Implemented Interfaces:
  javax.wsdl.xml.WSDLLocator

    public class Axis2WSDLLocator

extends java.lang.Object
implements javax.wsdl.xml.WSDLLocator

Constructor Summary
`Axis2WSDLLocator(java.net.URI baseUri)`

Method Summary
`void` | `close()`
`org.xml.sax.InputSource` | `getBaseInputSource()`
`java.lang.String` | `getBaseURI()`
`org.xml.sax.InputSource` | `getImportInputSource(java.lang.String parent, java.lang.String imprt)`
`java.lang.String` | `getLatestImportURI()`
`java.io.InputStream` | `openResource(java.net.URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Axis2WSDLLocator

    public Axis2WSDLLocator(java.net.URI baseUri)
                     throws java.net.URISyntaxException

Throws:
  `java.net.URISyntaxException`

Method Detail

### getBaseInputSource

    public org.xml.sax.InputSource getBaseInputSource()

  Specified by:
    `getBaseInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### getImportInputSource

    public org.xml.sax.InputSource getImportInputSource(java.lang.String parent,
                                                        java.lang.String imprt)

  Specified by:
    `getImportInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### getBaseURI

    public java.lang.String getBaseURI()

  Specified by:
    `getBaseURI` in interface `javax.wsdl.xml.WSDLLocator`

### getLatestImportURI

    public java.lang.String getLatestImportURI()

  Specified by:
    `getLatestImportURI` in interface `javax.wsdl.xml.WSDLLocator`

### close

    public void close()

  Specified by:
    `close` in interface `javax.wsdl.xml.WSDLLocator`

### openResource

    public java.io.InputStream openResource(java.net.URI uri)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD